#
# spec file for package pidgin-guifications (Version 2.16)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           pidgin-guifications
Version:        2.16
Release:        12.2
# FIXME: on update to > 2.16, change <= Obsoletes to <
Summary:        Pidgin plugin to display "toaster" popups
Url:            http://plugins.guifications.org/
Group:          Productivity/Networking/Instant Messenger
License:        GPL-2.0+
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libpurple-devel
BuildRequires:  pidgin-devel
BuildRoot:      %{_tmppath}/build-%{name}-%{version}

%description
Guifications is a Pidgin plugin that displays "toaster" popups in a
user-defined corner of the screen, similar to features that have been
added to the official MSN Messenger (now called Windows Live
Messenger), Yahoo! Messenger and AOL Instant Messenger clients. It's
highly configurable, easy to use, and has theme support. It really is
the end-all, be-all toaster pop-up plugin for Pidgin!

%package -n pidgin-plugin-guifications
Summary:        Pidgin plugin to display "toaster" popups
Group:          Productivity/Networking/Instant Messenger
Requires:       pidgin
Recommends:     %{name}-lang
# Nice to have since it's not the upstream name, but also required to make lang package installable
Provides:       %{name} = %{version}
# FIXME: on update to > 2.16, change <= Obsoletes to <
Obsoletes:      %{name} <= %{version}

%description -n pidgin-plugin-guifications
Guifications is a Pidgin plugin that displays "toaster" popups in a
user-defined corner of the screen, similar to features that have been
added to the official MSN Messenger (now called Windows Live
Messenger), Yahoo! Messenger and AOL Instant Messenger clients. It's
highly configurable, easy to use, and has theme support. It really is
the end-all, be-all toaster pop-up plugin for Pidgin!

%lang_package

%prep
%setup -q

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
# Change sr@Latn to sr@latin
mv %{buildroot}%{_datadir}/locale/sr@Latn %{buildroot}%{_datadir}/locale/sr@latin
# Change no to nb_NO
mv %{buildroot}%{_datadir}/locale/no %{buildroot}%{_datadir}/locale/nb_NO
%find_lang guifications

%clean
%{__rm} -rf %{buildroot}

%files -n pidgin-plugin-guifications
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/pidgin/guifications.so
%{_datadir}/pixmaps/pidgin/guifications

%files lang -f guifications.lang

%changelog
* Fri Apr  6 2012 vuntz@opensuse.org
- Create a pidgin-plugin-guifications subpackage, for consistency
  with other pidgin plugins.
- Replace License tag with spdx identifier (GPL-2.0+).
* Sun Jun 14 2009 vuntz@novell.com
- Clean package for Contrib.
